import React from "react";
/**
 * useRef initialized with a function on mount.
 */
declare function useRefWithInit<T>(init: () => T): React.RefObject<T>;
declare function useRefWithInit<T, U>(init: (arg: U) => T, initArg: U): React.RefObject<T>;
export { useRefWithInit };
